
From: Roland Dreier <rolandd@cisco.com>

There's no need to set VM_DONTCOPY when mmap()ing the hardware doorbell
page into userspace.

Signed-off-by: Roland Dreier <rolandd@cisco.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/infiniband/hw/mthca/mthca_provider.c |    1 -
 1 files changed, 1 deletion(-)

diff -puN drivers/infiniband/hw/mthca/mthca_provider.c~ib-uverbs-add-mthca-mmap-support-fix-2 drivers/infiniband/hw/mthca/mthca_provider.c
--- 25/drivers/infiniband/hw/mthca/mthca_provider.c~ib-uverbs-add-mthca-mmap-support-fix-2	Wed Jul  6 13:27:13 2005
+++ 25-akpm/drivers/infiniband/hw/mthca/mthca_provider.c	Wed Jul  6 13:27:13 2005
@@ -347,7 +347,6 @@ static int mthca_mmap_uar(struct ib_ucon
 		return -EINVAL;
 
 	vma->vm_page_prot = pgprot_noncached(vma->vm_page_prot);
-	vma->vm_flags    |= VM_DONTCOPY;
 
 	if (remap_pfn_range(vma, vma->vm_start,
 			    to_mucontext(context)->uar.pfn,
_
